.reactions-modal {
  display: flex;
  flex-direction: row;
  background: $dark_n1;
  color: $primary;
  min-height: 350px;
  max-height: 75%;

  .reactions-list {
    padding: 10px;
    @include flexbox(column, wrap, flex-start, center);

    .close-reactions-modal {
      margin-top: auto;
      margin-right: 0;
      width: 75%;
    }

    .reaction{
      border: 2px solid transparent;
			background: negro(2);
			color: $secondary;
      padding: 0 10px;
      @include font-size(2);
			@include transition(.3s all ease-out);
      @include flexbox(row, nowrap, flex-start, center);
      margin: 0 5px 5px 0;
      height: 2.5em;
      border-radius: 2px;
      cursor: pointer;
			&:hover{
				background: blanco(1);
				color: $primary;
			}
      &[active]{
				border-color: narrojo(0.5);
				color: $primary;
			}
      .emoji{
        margin-right: 10px;
      }
		}
  }

  .reactions-users {
    flex-grow: 1;
    padding: 10px;

    &:before{
      content: "";
      display: block;
      position: absolute;
      top: 10px;
      left: -5px;
      width: 4px;
      height: calc(100% - 20px);
      z-index: 1;
      background: rgba(0,0,0,.1);
    }

    .hidden-reactions-notice {
      padding: 10px;
      background: narrojo(0.1);
      color: $primary;
      margin-bottom: 10px;
    }

    .reactions-users-list {
      max-height: 400px;
      overflow-y: auto;
    }

    .reaction-user {
      display: flex;
      align-items: center;
      color: $primary;
      &:not(:first-child) {
        margin-top: 5px;
      }

      .avatar {
        width: 32px;
        margin-right: 10px;
      }
    }
  }
}
